# /usr/bin/python
# -*- coding: iso-8859-1 -*- 
#
#        BTF
# BacnetTestFramework
#
# Last updated: 30.01.2019
#
# Samplescript
#
# This sample script is provided to give a startpoint
# for development of BTF related scripts.
#
#
# Copyright MBS GmbH
#
#-------------------------------------------------------------------------------
from epilog import *
#-------------------------------------------------------------------------------
class epilog_mbs_13_9_1(BasisEpilog):
    scriptname = '''epilog_mbs_13_9_1'''
    purpose = ''''''
    configreq = ''''''
    concept = ''''''

    def start(self):

        if not isinstance(self.user_data, dict):
            return 1

        self.gcom.commit(3, {"step":0,"descr":"Starting Epilog"})

        objType = self.user_data['objType']
        instNum = self.user_data['instNum']


        self.gcom.commit(3, {"step":1,"descr":"Send UnsubscribeCOV"})

        self.bac_handl.t_subscribe_cov(100, (objType, instNum), unSubscribe=True)



        return 0
        # -1 => Error, epilog will fail and user will be asked, to continue or not
        #  0 => No Error, No Configuration Requirements PopUp,
        #  1 => No Error, Configuration Requirements PopUp will be shown
        #  all others states are user defined, Configuration Requirements PopUp is always shown

    #---------------------------------------------------------------------------
