# /usr/bin/python
# -*- coding: iso-8859-1 -*- 
#
#        BTF
# BacnetTestFramework
#
# Last updated: 30.01.2019
#
# Samplescript
#
# This sample script is provided to give a startpoint
# for development of BTF related scripts.
#
#
# Copyright MBS GmbH
#
#-------------------------------------------------------------------------------
from make_automation import *
#-------------------------------------------------------------------------------
class make_mbs_13_9_1(MakeAutomation):
    scriptname = '''make_mbs_13_9_1'''
    purpose = ''''''
    configreq = ''''''
    concept = ''''''

    def start(self):

        iut_PropFeatures = self.global_dict['IUT']['PropertyFeatures']

        if self.make_dict['msg'] == 1:
            self.gcom.commit(3, {"step":0,"descr":"Starting Make for Step 1 ..."})


            for objType, instNum, propID in sorted( iut_PropFeatures.keys() ):

                if not self.bac_handl.h_supports_cov_notification_in_standard(objType):
                    continue

                self.user_data = {}
                self.user_data['objType'] = objType
                self.user_data['instNum'] = instNum


                self.gcom.commit(3, {"step":1,"descr":"SubscribeCOV"})
                self.bac_handl.t_subscribe_cov(100, (objType, instNum), True, 60)


                return {'answer':'1'}




        return {}
        # On Error: return -1 or raise Exception
        #       -> test will abort and fail
        #
        # On SUCCESS: return {'answer':'1'}
        #       -> test continues with success
        #
        # On FAILURE: return {'answer':'0'}
        #       -> test continues or aborts (depends on test)
        #
        # No SUCCESS or invalid Step-number: return {}
        #       -> MAKE will pop up for manual user interaction
        #

    #---------------------------------------------------------------------------
