# /usr/bin/python
# -*- coding: iso-8859-1 -*- 
#
#        BTF
# BacnetTestFramework
#
# Last updated: 30.01.2019
#
# Samplescript
#
# This sample script is provided to give a startpoint
# for development of BTF related scripts.
#
#
# Copyright MBS GmbH
#
#-------------------------------------------------------------------------------
from prolog import *
#-------------------------------------------------------------------------------
class prolog_8_2_1(BasisProlog):
    scriptname = '''prolog_8_2_1'''
    #This is the shown skriptname in BTF
    purpose = ''''''
    configreq = ''''''
    concept = ''''''

    def start(self):
        '''this function will be automaticly called from UserBacnet__init__'''

        self.gcom.commit(3, {'step':1,'descr':'Starting Prolog...'})

        objID = self.private_list[0]
        objType,instNum = objID

        try:

            self.bac_handl.t_write_property(objType,instNum, propID_SN['Out_Of_Service'] ,'TRUE')

            try:
                self.action_null_priority_array(objType, instNum)
            except:
                pass

            try:
                self.bac_handl.t_write_property(objType,instNum, propID_SN['Relinquish_Default'] ,'[4]0.0')
            except:
                pass

            try:
                self.bac_handl.t_write_property(objType,instNum, propID_SN['COV_Increment'] ,'[4]1.0')
            except:
                pass

            # Number of States (MultiState)
            if ( objType == 13 or objType == 14 or objType == 19 ):
                try:
                    self.bac_handl.t_write_property(objType,instNum, propID_SN['Present_Value'] ,'[2]1')
                except:
                    pass

            self.bac_handl.t_write_property(objType,instNum, propID_SN['Out_Of_Service'] ,'FALSE')

        except Exception,s:
			self.gcom.commit(3, {'step':2,'descr':'Error:' + str(s)})
			return -1

        self.gcom.commit(3, {'step':2,'descr':'Ending Prolog...'})

        return 0
        # -1 => Error,
        #  0 => No Error, No Config Req msg,
        #  1 => No Error, Config Req msg,
        #  all other positive states are user defined, Config Req msg is always shown

    #---------------------------------------------------------------------------
