# /usr/bin/python
# -*- coding: iso-8859-1 -*- 
#
#        BTF
# BacnetTestFramework
#
# Last updated: 30.01.2019
#
# Samplescript
#
# This sample script is provided to give a startpoint
# for development of BTF related scripts.
#
#
# Copyright MBS GmbH
#
#-------------------------------------------------------------------------------
from prolog import *
#-------------------------------------------------------------------------------
class prolog_8_2_7(BasisProlog):
    scriptname = '''prolog_8_2_7'''
    #This is the shown skriptname in BTF
    purpose = ''''''
    configreq = ''''''
    concept = ''''''

    def start(self):
        '''this function will be automaticly called from UserBacnet__init__'''

        self.gcom.commit(3, {'step':1,'descr':'Starting Prolog...'})

        objID = self.private_list[0]
        objType,instNum = objID

        try:
            self.bac_handl.t_write_property(objType,instNum, propID_SN['COV_Increment'] ,'[4]1.0')
        except:
            pass


        try:
            self.bac_handl.t_write_property(objType,instNum, propID_SN['Out_Of_Service'] ,'FALSE')
        except:
            pass


        self.gcom.commit(3, {'step':2,'descr':'Ending Prolog...'})


        return 0
        # -1 => Error,
        #  0 => No Error, No Config Req msg,
        #  1 => No Error, Config Req msg,
        #  all other positive states are user defined, Config Req msg is always shown

    #---------------------------------------------------------------------------
