# /usr/bin/python
# -*- coding: iso-8859-1 -*- 
#
#        BTF
# BacnetTestFramework
#
# Last updated: 30.01.2019
#
# Samplescript
#
# This sample script is provided to give a startpoint
# for development of BTF related scripts.
#
#
# Copyright MBS GmbH
#
#-------------------------------------------------------------------------------
from prolog import *
#-------------------------------------------------------------------------------
class prolog_9_31_1_2(BasisProlog):
    scriptname = '''prolog_9_31_1_2'''
    purpose = ''''''
    configreq = ''''''
    concept = ''''''

    def start(self):

        # Device = IUT
        objType = 8
        instNum = self.bac_handl.rem_inst

        self.gcom.commit(3, {"step":0,"descr":"Starting Prolog for %s,%d"%( objType_NS[objType],instNum )})

        self.gcom.commit(3, {"step":1,"descr":"Try to write UTC_Offset = 180" })
        try:
            self.bac_handl.t_write_property(objType, instNum, propID_SN['UTC_Offset'], '180' )
        except:
            self.gcom.commit(3, {"step":2,"descr":"Could not write UTC_Offset = 180" })

        time.sleep (5)


        # -1 => Error, prolog will fail and user will be asked, to continue or not
        #  0 => No Error, No Configuration Requirements PopUp,
        #  1 => No Error, Configuration Requirements PopUp will be shown
        #  all others states are user defined, Configuration Requirements PopUp is always shown
        return 0
    #------------------