# /usr/bin/python
# -*- coding: iso-8859-1 -*- 
#
#        BTF
# BacnetTestFramework
#
# Last updated: 30.01.2019
#
# Samplescript
#
# This sample script is provided to give a startpoint
# for development of BTF related scripts.
#
#
# Copyright MBS GmbH
#
#-------------------------------------------------------------------------------
from make_automation import *
#-------------------------------------------------------------------------------
class make_9_10_1_9(MakeAutomation):
    scriptname = '''make_9_10_1_9'''
    purpose = ''''''
    configreq = ''''''
    concept = ''''''

    def start(self):

        objType, instNum = self.private_dict['ObjectID']
        iut_propFeatures = self.global_dict['IUT']['PropertyFeatures']


        if self.make_dict['msg'] == 4:
            self.gcom.commit(3, {"step":0,"descr":"Starting Make for Step 4 ..."})

            self.gcom.commit(3, {"step":1,"descr":"Wait 1 second ..."})
            time.sleep(1)

            self.gcom.commit(3, {"step":2,"descr":"Change Present_Value" })
            newPV = str( self.bac_handl.t_read_property(objType, instNum, propID_SN['Present_Value']) )
            newPV = self.bac_handl.h_get_another_value(objType, instNum, propID_SN['Present_Value'], newPV, iut_propFeatures)

            self.bac_handl.t_write_property(objType, instNum, propID_SN['Present_Value'], newPV )

            return {'answer':'1'}


        if self.make_dict['msg'] == 8:
            self.gcom.commit(3, {"step":0,"descr":"Starting Make for Step 8 ..."})

            time.sleep(1)

            self.gcom.commit(3, {"step":1,"descr":"Change Present_Value" })
            newPV = str( self.bac_handl.t_read_property(objType, instNum, propID_SN['Present_Value']) )
            newPV = self.bac_handl.h_get_another_value(objType, instNum, propID_SN['Present_Value'], newPV, iut_propFeatures)

            self.bac_handl.t_write_property(objType, instNum, propID_SN['Present_Value'], newPV )

            return {'answer':'1'}


        if self.make_dict['msg'] == 11:
            self.gcom.commit(3, {"step":0,"descr":"Starting Make for Step 11 ..."})

            self.gcom.commit(3, {"step":1,"descr":"Change Present_Value" })
            newPV = str( self.bac_handl.t_read_property(objType, instNum, propID_SN['Present_Value']) )
            newPV = self.bac_handl.h_get_another_value(objType, instNum, propID_SN['Present_Value'], newPV, iut_propFeatures)

            self.bac_handl.t_write_property(objType, instNum, propID_SN['Present_Value'], newPV )

            return {'answer':'1'}



        return {}
        # On Error: return -1 or raise Exception
        #       -> test will abort and fail
        #
        # On SUCCESS: return {'answer':'1'}
        #       -> test continues with success
        #
        # On FAILURE: return {'answer':'0'}
        #       -> test continues or aborts (depends on test)
        #
        # No SUCCESS or invalid Step-number: return {}
        #       -> MAKE will pop up for manual user interaction
        #

    #---------------------------------------------------------------------------
