# /usr/bin/python
# -*- coding: iso-8859-1 -*-
#
#        BTF
# BacnetTestFramework
#
# Last updated: 30.01.2019
#
# Samplescript
#
# This sample script is provided to give a startpoint
# for development of BTF related scripts.
#
#
# Copyright MBS GmbH
#
#-------------------------------------------------------------------------------
from prolog import *
#-------------------------------------------------------------------------------
class prolog_mbs_9_10_1_4(BasisProlog):
    scriptname = '''prolog_mbs_9_10_1_4'''
    purpose = ''''''
    configreq = ''''''
    concept = ''''''

    def start(self):

        objType, instNum = self.private_dict['ObjectID']


        self.gcom.commit(3, {"step":0,"descr":"Starting Prolog for %s,%d"%( objType_NS[objType],instNum )})

        # priority-array nullen
        try:
            self.action_null_priority_array(objType,instNum)
        except:
            pass

        self.gcom.commit(3, {"step":1,"descr":"Send SubscribeCOV"})
        self.bac_handl.t_subscribe_cov(self.bac_handl.h_get_prozessid(), (objType, instNum), True, 120)
        time.sleep(2)


        # -1 => Error, prolog will fail and user will be asked, to continue or not
        #  0 => No Error, No Configuration Requirements PopUp,
        #  1 => No Error, Configuration Requirements PopUp will be shown
        #  all others states are user defined, Configuration Requirements PopUp is always shown
        return 0
    #------------------