# /usr/bin/python
# -*- coding: iso-8859-1 -*- 
#
#        BTF
# BacnetTestFramework
#
# Last updated: 30.01.2019
#
# Samplescript
#
# This sample script is provided to give a startpoint
# for development of BTF related scripts.
#
#
# Copyright MBS GmbH
#
#-------------------------------------------------------------------------------
from prolog import *
#-------------------------------------------------------------------------------
class prolog_mbs_9_17_1_1(BasisProlog):
    scriptname = '''prolog_mbs_9_17_1_1'''
    purpose = ''''''
    configreq = ''''''
    concept = ''''''

    def start(self):

        auto = self.private_dict['AutoConfigSwitch']
        objID = self.private_dict['ObjectID']


        self.gcom.commit(3, {"step":0,"descr":"Starting Prolog"})

        if not auto:
            # the test itself will only create new objects in auto-mode
            self.gcom.commit(3, {"step":1,"descr":"Create Object %s,%d"%( objType_NS[objID[0]], objID[1] ) })
            self.bac_handl.t_create_object( objID )


        # -1 => Error, prolog will fail and user will be asked, to continue or not
        #  0 => No Error, No Configuration Requirements PopUp,
        #  1 => No Error, Configuration Requirements PopUp will be shown
        #  all others states are user defined, Configuration Requirements PopUp is always shown
        return 0
    #------------------